org.firebirdsql.gds.ng

## Interface ParameterConverter<D extends AbstractConnection<IConnectionProperties,?>,S extends AbstractConnection<IServiceProperties,?>>

- All Known Implementing Classes:
    AbstractParameterConverter, JnaParameterConverter, V10ParameterConverter, V11ParameterConverter, V12ParameterConverter, V13ParameterConverter

      public interface ParameterConverter<D extends AbstractConnection<IConnectionProperties,?>,S extends AbstractConnection<IServiceProperties,?>>

  Provides conversion of parameters (eg from `IConnectionProperties` to a `DatabaseParameterBuffer`.
  Since:
    3.0
  Author:
    Mark Rotteveel

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `DatabaseParameterBuffer` | `toDatabaseParameterBuffer(D connection)` Builds a `DatabaseParameterBuffer` from the supplied {code IConnectionProperties}.
    `ServiceParameterBuffer` | `toServiceParameterBuffer(S connection)` Builds a `ServiceParameterBuffer` from the supplied {code IServiceProperties}.

- - ### Method Detail

    - #### toDatabaseParameterBuffer

          DatabaseParameterBuffer toDatabaseParameterBuffer(D connection)
                                                     throws java.sql.SQLException

      Builds a `DatabaseParameterBuffer` from the supplied {code IConnectionProperties}.
      Parameters:
        `connection` - Database connection
      Returns:
        Database parameter buffer populated based on the connection properties
      Throws:
        `java.sql.SQLException` - For errors

    - #### toServiceParameterBuffer

          ServiceParameterBuffer toServiceParameterBuffer(S connection)
                                                   throws java.sql.SQLException

      Builds a `ServiceParameterBuffer` from the supplied {code IServiceProperties}.
      Parameters:
        `connection` - Service connection
      Returns:
        Service parameter buffer populated based on the service properties
      Throws:
        `java.sql.SQLException` - For errors

Copyright © 2001-2021 Jaybird (Firebird JDBC/JCA) team. All rights reserved.